/*canvas {*/
/*    width: 100% !important;*/
/*    height: 100% !important;*/
/*    position: relative !important;*/
/*}*/

.col-9 {
    flex: 0 0 auto;
     width: 75%!important;
}

.tox.tox-tinymce-aux {
  z-index: 4000;
}

.navbar-vertical.navbar-expand-xs {
    max-width: 10rem!important;
}

@media (min-width: 1200px) {
    .sidenav:hover {
        max-width:10rem
    }

    .sidenav .sidenav-toggler {
        padding: 1.5rem
    }

    .sidenav.fixed-start+.main-content {
        margin-left: 10rem;
    }

    .sidenav.fixed-end+.main-content {
        margin-right: 10rem
    }
}

.messages-container {
    display: flex;
    flex-direction: column-reverse;
}

.chart-container {
    position: relative;
    margin: auto;
    height: 30vh;
    width: 60vw;
}

.insights-dialog {
    z-index: 1000;
}

.insights-gold {
    background-color: rgba(255, 209, 102, 0.9);
}

.insights-gold-light {
    background-color: rgba(255, 209, 102, 0.6);
}

.insights-blue {
    background-color: rgba(60, 145, 230, 0.9);
}

.insights-blue-light {
    background-color: rgba(60, 145, 230, 0.6);
}

.insights-blush {
    background-color: rgba(206, 106, 133, 0.85);
}

.insights-blush-light {
    background-color: rgba(206, 106, 133, 0.55);
}

.insights-black {
    background-color: rgba(52, 46, 55, 0.8);
}

.insights-green {
    background-color: rgba(98, 148, 96, 0.85);
}

.insights-green-light {
    background-color: rgba(98, 148, 96, 0.55);
}

.insights-gray {
    background-color: rgba(177, 177, 177, 0.8);
}



.insightsheading {
    background-color: #f7b40b;
}

.insights-models-container-background {
    background-color: #fff8e6;
}

.insights-standard-light-background {
    background-color: #ffffff;
}

.insights-border {
    border: 1px solid #d2d6da;
}

.insights-contribution-card-sm {
    flex: 1;
    width: 16rem;
    align-content: flex-start;
}

.insights-main-content {

}

.insights-main-content-projects {
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    align-content: flex-start;
}

.insights-projmod-card {
    margin: 1em;
}

.insights-projmod-card-sm {
    flex: 1;
    width: 12rem;
    align-content: flex-start;
}

.insights-projmod-card-lg {
    flex: 1;
    width: 600px;
    align-content: flex-start;
}

.insights-new-projmod-card-plus-sm {
    flex: 1;
    width: 11em;
    align-content: center;
    background-color: #d5d6db;
}

.avatar-stats {
    width: 60px !important;
    height: 24px !important;
    font-size: 0.75rem;
}

.btn {
    line-height: 0.5;
    padding: 0.5rem 0.35rem;
    letter-spacing: 0;
    text-transform: uppercase;
    background-size: 100%;
    background-position-x: 25%;
    position: relative;
    overflow: hidden;
    -webkit-appearance: none;
    margin-bottom: 0.1rem;
    --bs-btn-focus-box-shadow: 0 0 0 0.2rem rgba(var(--bs-btn-focus-shadow-rgb), .5);
}

.btn-secondary {
    --bs-btn-focus-shadow-rgb: 162, 51, 66;
    --bs-btn-bg: #7b809a;
}

.btn-secondary,
.btn.bg-gradient-secondary {
    box-shadow: 0 3px 3px 0 rgba(162, 51, 66, 0.45), 0 3px 1px -2px  rgba(162, 51, 66, 0.6), 0 1px 5px 0 rgba(162, 51, 66, 0.45);
}

.btn-secondary:hover, .btn.bg-gradient-secondary:hover {
    background-color: #7b809a;
        border-color: #7b809a;
        box-shadow: 0 14px 26px -12px rgba(162, 51, 66, 1), 0 4px 23px 0 rgba(162, 51, 66, 1), 0 8px 10px -5px rgba(162, 51, 66, 1);
}

.containerheader {
    background-color: #f7b40b;
}

.insights-header-row {
    align-items: center;
}

.insights-header-column {
    justify-content: flex-end;
}

.insights-header-column-1 {
    justify-content: flex-start;
}

.buttons-container {
    display: flex;
    column-gap: 20px;
}

.cross-section-card {
    flex: 1;
    border: 2px solid #ddd2d2 ;
    margin: auto;
}

.flowing-flex-container {
    display: flex;
    flex-flow: row wrap;
    justify-content: space-around;
    gap: 10px 20px;
}

.form-check-inline {
  display: inline-block;
  margin-right: 0.25rem;
}

.form-control {
    border: 1px solid #d2d6da;
    padding: 0.5rem 0.85rem;
}

.form-switch {
    padding-left: calc(var(--bs-gutter-x) * .5);
    justify-content: space-between;
}

.form-switch .form-check-input:checked {
    border-color: #42424a;
    background-color: #4caf50;
}

.modal-body{
    overflow: auto;
}

.models-container-project-card {
    display: flex;
    flex-flow: row wrap;
    justify-content: space-around;
}

.progress-bar {
    height: 25px;
    background-color: #43a047;
    border-radius: 0.5rem;
    box-shadow: 0 4px 20px 0 rgba(0,0,0,.14),0 7px 10px -5px rgba(0,188,212,.4)!important
}

.progress {
  position: relative;
  width: 100%;
  margin-bottom: 0;
  vertical-align: middle;

  .bar-label {
    position: absolute;
    top: 0.1em;
    left: 0;
    width: 100%;
    font-size: 0.8em;
    text-align: center;
  }
}

.training-buttons {
  flex: 1;
  border: 2px solid #b1b2b4 ;
  margin: auto;
}

.Wt-chkbox {
    border: 2px solid #b1b2b4 ;
}

@media (max-width: 991.98px) {
    .navbar.navbar-transparent .navbar-collapse {
        padding-top:.5rem;
        padding-bottom: .5rem;
        box-shadow: 0 10px 15px -3px rgba(0,0,0,.1),0 4px 6px -2px rgba(0,0,0,.05)
    }

    .navbar-collapse .navbar-nav {
        width: 100%
    }

    .navbar.navbar-transparent .navbar-collapse.collapsing,.navbar.navbar-transparent .navbar-collapse.show {
        background: #fff
    }

    .navbar.navbar-transparent .navbar-collapse.show .nav-link,.navbar.navbar-transparent .navbar-collapse.show i {
        color: #262626
    }

    .g-sidenav-show .navbar:not(.sidenav).navbar-main .navbar-collapse {
        display: flex!important;
        flex-basis: auto;
    }

    .g-sidenav-show .navbar:not(.sidenav).navbar-main .navbar-nav {
        flex-direction: row
    }

    .navbar .navbar-collapse .navbar-nav .dropdown .dropdown-menu {
        box-shadow: none!important
    }

    .navbar .navbar-collapse .navbar-nav .dropdown .dropdown-menu:before {
        display: none!important
    }
}

@media (max-width: 767.98px) {
    .navbar-collapse {
        position:relative;
    }

    .navbar-collapse .navbar-nav {
        width: 100%
    }

    .navbar-collapse .navbar-nav .nav-item.dropdown {
        position: static
    }

    .navbar-collapse .navbar-nav .nav-item.dropdown .dropdown-menu {
        left: 0;
        right: 0
    }

    .navbar-collapse .navbar-nav .nav-item.dropdown .dropdown-menu.show:before {
        content: none
    }
}

@media (max-width: 575.98px) {
    .navbar-nav .nav-item.dropdown .dropdown-menu {
        left:0;
        right: auto
    }
}

.navbar-vertical .navbar-brand-img,.navbar-vertical .navbar-brand>img {
    max-width: 100%;
    max-height: 2rem
}

.navbar-vertical .navbar-nav .nav-link {
    padding-left: .75rem;
    padding-right: .75rem;
    font-weight: 500;
    color: #fff;
    font-size: .75rem
}

.navbar-vertical .navbar-nav .nav-link>i {
    min-width: 1rem;
    font-size: 1.125rem;
    text-align: center
}

.navbar-vertical .navbar-nav .nav-link .dropdown-menu {
    border: none
}

.navbar-vertical .navbar-nav .nav-link .dropdown-menu .dropdown-menu {
    margin-left: .5rem
}

.navbar-vertical .navbar-nav .nav-link .avatar {
    width: 1.875rem;
    height: 1.875rem
}

.navbar-vertical .navbar-nav .nav-sm .nav-link {
    font-size: .75rem
}

.navbar-vertical .navbar-nav .nav-link {
    display: flex;
    align-items: center;
    white-space: nowrap
}

.navbar-vertical .navbar-heading {
    padding-top: .5rem;
    padding-bottom: .5rem;
    font-size: .75rem;
    text-transform: uppercase;
    letter-spacing: .04em
}

.navbar-vertical.navbar-expand-xs {
    display: block;
    position: fixed;
    top: 0;
    bottom: 0;
    width: 100%;
    max-width: 11rem!important;
    overflow-y: auto;
    padding: 0;
    box-shadow: none
}

.navbar-vertical.navbar-expand-xs .navbar-collapse {
    display: block;
    overflow: auto;
    height: calc(100vh - 200px)
}

.navbar-vertical.navbar-expand-xs>[class*=container] {
    flex-direction: column;
    align-items: stretch;
    min-height: 100%;
    padding-left: 0;
    padding-right: 0
}

@media (min-width: 576px) {
    .navbar-expand-sm {
        flex-wrap:nowrap;
        justify-content: flex-start
    }

    .navbar-expand-sm .navbar-nav {
        flex-direction: row
    }

    .navbar-expand-sm .navbar-nav .dropdown-menu {
        position: absolute
    }

    .navbar-expand-sm .navbar-nav .nav-link {
        padding-right: var(--bs-navbar-nav-link-padding-x);
        padding-left: var(--bs-navbar-nav-link-padding-x)
    }

    .navbar-expand-sm .navbar-nav-scroll {
        overflow: visible
    }

    .navbar-expand-sm .navbar-collapse {
        display: flex!important;
        flex-basis: auto
    }

    .navbar-expand-sm .navbar-toggler {
        display: none
    }

    .navbar-expand-sm .offcanvas {
        position: static;
        z-index: auto;
        flex-grow: 1;
        width: auto!important;
        height: auto!important;
        visibility: visible!important;
        background-color: transparent!important;
        border: 0!important;
        transform: none!important;
        transition: none
    }

    .navbar-expand-sm .offcanvas .offcanvas-header {
        display: none
    }

    .navbar-expand-sm .offcanvas .offcanvas-body {
        display: flex;
        flex-grow: 0;
        padding: 0;
        overflow-y: visible
    }
}

@media (min-width: 768px) {
    .navbar-expand-md {
        flex-wrap:nowrap;
        justify-content: flex-start
    }

    .navbar-expand-md .navbar-nav {
        flex-direction: row
    }

    .navbar-expand-md .navbar-nav .dropdown-menu {
        position: absolute
    }

    .navbar-expand-md .navbar-nav .nav-link {
        padding-right: var(--bs-navbar-nav-link-padding-x);
        padding-left: var(--bs-navbar-nav-link-padding-x)
    }

    .navbar-expand-md .navbar-nav-scroll {
        overflow: visible
    }

    .navbar-expand-md .navbar-collapse {
        display: flex!important;
        flex-basis: auto
    }

    .navbar-expand-md .navbar-toggler {
        display: none
    }

    .navbar-expand-md .offcanvas {
        position: static;
        z-index: auto;
        flex-grow: 1;
        width: auto!important;
        height: auto!important;
        visibility: visible!important;
        background-color: transparent!important;
        border: 0!important;
        transform: none!important;
        transition: none
    }

    .navbar-expand-md .offcanvas .offcanvas-header {
        display: none
    }

    .navbar-expand-md .offcanvas .offcanvas-body {
        display: flex;
        flex-grow: 0;
        padding: 0;
        overflow-y: visible
    }
}

@media (min-width: 992px) {
    .navbar-expand-lg {
        flex-wrap:nowrap;
        justify-content: flex-start
    }

    .navbar-collapse .navbar-nav {
        width: 100%
    }

    .navbar-expand-lg .navbar-nav {
        flex-direction: row
    }

    .navbar-expand-lg .navbar-nav .dropdown-menu {
        position: absolute
    }

    .navbar-expand-lg .navbar-nav .nav-link {
        padding-right: var(--bs-navbar-nav-link-padding-x);
        padding-left: var(--bs-navbar-nav-link-padding-x)
    }

    .navbar-expand-lg .navbar-nav-scroll {
        overflow: visible
    }

    .navbar-expand-lg .navbar-collapse {
        display: flex!important;
        flex-basis: auto
    }

    .navbar-expand-lg .navbar-toggler {
        display: none
    }

    .navbar-expand-lg .offcanvas {
        position: static;
        z-index: auto;
        flex-grow: 1;
        width: auto!important;
        height: auto!important;
        visibility: visible!important;
        background-color: transparent!important;
        border: 0!important;
        transform: none!important;
        transition: none
    }

    .navbar-expand-lg .offcanvas .offcanvas-header {
        display: none
    }

    .navbar-expand-lg .offcanvas .offcanvas-body {
        display: flex;
        flex-grow: 0;
        padding: 0;
        overflow-y: visible
    }
}

@media (min-width: 1200px) {
    .navbar-expand-xl {
        flex-wrap:nowrap;
        justify-content: flex-start
    }

    .navbar-expand-xl .navbar-nav {
        flex-direction: row
    }

    .navbar-expand-xl .navbar-nav .dropdown-menu {
        position: absolute
    }

    .navbar-expand-xl .navbar-nav .nav-link {
        padding-right: var(--bs-navbar-nav-link-padding-x);
        padding-left: var(--bs-navbar-nav-link-padding-x)
    }

    .navbar-expand-xl .navbar-nav-scroll {
        overflow: visible
    }

    .navbar-expand-xl .navbar-collapse {
        display: flex!important;
        flex-basis: auto
    }

    .navbar-expand-xl .navbar-toggler {
        display: none
    }

    .navbar-expand-xl .offcanvas {
        position: static;
        z-index: auto;
        flex-grow: 1;
        width: auto!important;
        height: auto!important;
        visibility: visible!important;
        background-color: transparent!important;
        border: 0!important;
        transform: none!important;
        transition: none
    }

    .navbar-expand-xl .offcanvas .offcanvas-header {
        display: none
    }

    .navbar-expand-xl .offcanvas .offcanvas-body {
        display: flex;
        flex-grow: 0;
        padding: 0;
        overflow-y: visible
    }
}

@media (min-width: 1200px) {
    .sidenav:hover {
        max-width:11rem
    }

    .sidenav .sidenav-toggler {
        padding: 1.5rem
    }

    .sidenav.fixed-start+.main-content {
        margin-left: 12rem
    }

    .sidenav.fixed-end+.main-content {
        margin-right: 12rem
    }
}

@media (min-width: 1400px) {
    .navbar-expand-xxl {
        flex-wrap:nowrap;
        justify-content: flex-start
    }

    .navbar-expand-xxl .navbar-nav {
        flex-direction: row
    }

    .navbar-expand-xxl .navbar-nav .dropdown-menu {
        position: absolute
    }

    .navbar-expand-xxl .navbar-nav .nav-link {
        padding-right: var(--bs-navbar-nav-link-padding-x);
        padding-left: var(--bs-navbar-nav-link-padding-x)
    }

    .navbar-expand-xxl .navbar-nav-scroll {
        overflow: visible
    }

    .navbar-expand-xxl .navbar-collapse {
        display: flex!important;
        flex-basis: auto
    }

    .navbar-expand-xxl .navbar-toggler {
        display: none
    }

    .navbar-expand-xxl .offcanvas {
        position: static;
        z-index: auto;
        flex-grow: 1;
        width: auto!important;
        height: auto!important;
        visibility: visible!important;
        background-color: transparent!important;
        border: 0!important;
        transform: none!important;
        transition: none
    }

    .navbar-expand-xxl .offcanvas .offcanvas-header {
        display: none
    }

    .navbar-expand-xxl .offcanvas .offcanvas-body {
        display: flex;
        flex-grow: 0;
        padding: 0;
        overflow-y: visible
    }
}
